## org.exist.storage
Class ValueIndexFactory

    java.lang.Object
      org.exist.storage.ValueIndexFactory

public class ValueIndexFactory
extends java.lang.Object

Author:
  wolf

Constructor Summary
`ValueIndexFactory()`

Method Summary
`static Indexable` `deserialize(byte[] data, int start, int len)`
`static byte[]` `serialize(Indexable value, int offset, boolean caseSensitive)`
`static byte[]` `serialize(Indexable value, short collectionId, boolean caseSensitive)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueIndexFactory

    public ValueIndexFactory()

Method Detail

### deserialize

    public static final Indexable deserialize(byte[] data,
                                              int start,
                                              int len)
                                       throws EXistException

  Throws:
    `EXistException`

### serialize

    public static final byte[] serialize(Indexable value,
                                         short collectionId,
                                         boolean caseSensitive)
                                  throws EXistException

  Throws:
    `EXistException`

### serialize

    public static final byte[] serialize(Indexable value,
                                         int offset,
                                         boolean caseSensitive)
                                  throws EXistException

  Throws:
    `EXistException`

Copyright (C) Wolfgang Meier. All rights reserved.